Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3027 - gnomecal core dumps on restart
Summary: gnomecal core dumps on restart
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 6.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Federico Musto
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-25 06:28 UTC by grk
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-02 18:12:50 UTC


Attachments (Terms of Use)

Description grk 1999-05-25 06:28:23 UTC
gnomecal core dumps on restart.

running manually from .gnome/session file thru
gdb gives the following trace.

(gdb) run gnomecal --sm-config-prefix /gnomecal-H1mkcf/
--sm-client-id 11c0a80a64000092761292200000005080002
--userfile --geometry 464x662+680+0 --view dayview Starting
program: /usr/bin/gnomecal gnomecal --sm-config-prefix
/gnomecal-H1mkcf/ --sm-client-id
11c0a80a64000092761292200000005080002 --userfile --geometry
464x662+680+0 --view dayview
(no debugging symbols found)...(no debugging symbols
found)...
(no debugging symbols found)...(no debugging symbols
found)...
(no debugging symbols found)...(no debugging symbols
found)...
(no debugging symbols found)...(no debugging symbols
found)...
(no debugging symbols found)...(no debugging symbols
found)...
(no debugging symbols found)...(no debugging symbols
found)...
(no debugging symbols found)...(no debugging symbols
found)...
(no debugging symbols found)...(no debugging symbols
found)...
(no debugging symbols found)...(no debugging symbols
found)...
(no debugging symbols found)...
Program received signal SIGSEGV, Segmentation fault.
0x8062b95 in gnome_calendar_set_view ()
(gdb) where
#0  0x8062b95 in gnome_calendar_set_view ()
#1  0x80651bf in save_default_calendar ()
#2  0x806591b in main ()
#3  0x40402cb3 in __libc_start_main (main=0x806575c <main>,
argc=11,
    argv=0xbffffb84, init=0x8050330 <_init>, fini=0x806e76c
<_fini>,
    rtld_fini=0x4000a350 <_dl_fini>, stack_end=0xbffffb7c)
    at ../sysdeps/generic/libc-start.c:78

Comment 1 Elliot Lee 1999-08-02 18:12:59 UTC
Just tried here with everything-from-latest-CVS, works fine. If there
are some special things that need to be done in addition to having it
start up as part of the session, please let me know.


Note You need to log in before you can comment on or make changes to this bug.